<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ipc__sema__enums" kind="group">
    <compoundname>group_ipc_sema_enums</compoundname>
    <title>Enumerated Types</title>
    <innerclass prot="public" refid="structcy__stc__ipc__sema__t">cy_stc_ipc_sema_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ipc__sema__enums_1ga64ee08d87c6d84e39749834cbdd6b7b9" kind="enum" prot="public" static="no">
        <name>cy_en_ipcsema_status_t</name>
        <enumvalue id="group__group__ipc__sema__enums_1gga64ee08d87c6d84e39749834cbdd6b7b9a3aa7b86b286b7666ee4482ae040d6d1b" prot="public">
          <name>CY_IPC_SEMA_SUCCESS</name>
          <initializer>= (uint32_t)(0ul)</initializer>
          <briefdescription>
<para>No error has occurred. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__sema__enums_1gga64ee08d87c6d84e39749834cbdd6b7b9ac7fd96eac1a979c946eb27c35f69ea77" prot="public">
          <name>CY_IPC_SEMA_ERROR_LOCKED</name>
          <initializer>= (uint32_t)(CY_IPC_SEMA_ID_ERROR | 1ul)</initializer>
          <briefdescription>
<para>Semaphores IPC channel has already been locked. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__sema__enums_1gga64ee08d87c6d84e39749834cbdd6b7b9a9a50b7278b20a11e980d8b4dadacee7a" prot="public">
          <name>CY_IPC_SEMA_ERROR_UNLOCKED</name>
          <initializer>= (uint32_t)(CY_IPC_SEMA_ID_ERROR | 2ul)</initializer>
          <briefdescription>
<para>Semaphores IPC channel is unlocked. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__sema__enums_1gga64ee08d87c6d84e39749834cbdd6b7b9a1b66325842ee041773708d951ac7e13a" prot="public">
          <name>CY_IPC_SEMA_BAD_PARAM</name>
          <initializer>= (uint32_t)(CY_IPC_SEMA_ID_ERROR | 3ul)</initializer>
          <briefdescription>
<para>Semaphore API bad parameter. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__sema__enums_1gga64ee08d87c6d84e39749834cbdd6b7b9a143eff28bd0bc98a860fce473075d1ac" prot="public">
          <name>CY_IPC_SEMA_OUT_OF_RANGE</name>
          <initializer>= (uint32_t)(CY_IPC_SEMA_ID_ERROR | 4ul)</initializer>
          <briefdescription>
<para>Semaphore API return when semaphore number is out of the range. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__sema__enums_1gga64ee08d87c6d84e39749834cbdd6b7b9a21f1c980ff46f66bd0bef3ff5958204b" prot="public">
          <name>CY_IPC_SEMA_NOT_ACQUIRED</name>
          <initializer>= (uint32_t)(CY_IPC_SEMA_ID_INFO  | 2ul)</initializer>
          <briefdescription>
<para>Semaphore API return when IPC channel was not acquired. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__sema__enums_1gga64ee08d87c6d84e39749834cbdd6b7b9a626c7f517e6dbd4f20281b4fa42300ed" prot="public">
          <name>CY_IPC_SEMA_LOCKED</name>
          <initializer>= (uint32_t)(CY_IPC_SEMA_ID_INFO  | 3ul)</initializer>
          <briefdescription>
<para>Semaphore API return status when semaphore channel is busy or locked by another process. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__sema__enums_1gga64ee08d87c6d84e39749834cbdd6b7b9a920300a84a7ca2e96ce187423ac2eb18" prot="public">
          <name>CY_IPC_SEMA_STATUS_LOCKED</name>
          <initializer>= (uint32_t)(CY_IPC_SEMA_ID_INFO  | 1ul)</initializer>
          <briefdescription>
<para>Semaphore status return that the semaphore is set. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__sema__enums_1gga64ee08d87c6d84e39749834cbdd6b7b9af009b6acf4579107d5384100f9f2e60c" prot="public">
          <name>CY_IPC_SEMA_STATUS_UNLOCKED</name>
          <initializer>= (uint32_t)(CY_IPC_SEMA_ID_INFO  | 0ul)</initializer>
          <briefdescription>
<para>Semaphore status return that the semaphore is cleared. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ipcsema_status_t: </bold><linebreak />Return constants for IPC semaphores functions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="102" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" line="81" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Enumerations are used in the driver. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>